Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.app.sg
Class PresentationDrawer

    java.lang.Object
      |
      +--quicktime.app.time.Tasking
            |
            +--quicktime.app.sg.PresentationDrawer

All Implemented Interfaces:
  Drawable, Listener, QTDrawable, Taskable, Transformable

public class PresentationDrawer
extends Tasking
implements QTDrawable

Fields inherited from interface quicktime.app.time.Taskable
`tasker`

Constructor Summary
`PresentationDrawer(Presentation pres)` This constructor creates an PresentationDrawer object from a Presentation component.

Method Summary
`void` | `addedTo(java.lang.Object interest)` This method is called by the specified object when the instance of the class that implements this interface is added to the object that is the source of the interest.
`Region` | `getClip()` Returns a region that defines the current clipping region for the object.
`QDRect` | `getDisplayBounds()` Returns the current display location and size of the Presentation.
`QDGraphics` | `getGWorld()` QTCanvas calls this method to get the destination QDGraphics of its client.
`java.awt.Dimension` | `getInitialSize()` Deprecated. since QTJava 4.0
`Matrix` | `getMatrix()` This will return the client's current display transformations
`QDDimension` | `getOriginalSize()` This method returns the original size before the transformations specified in the returned matrix are applied.
`Presentation` | `getPresentation()` This returns the PresentationDrawer's Presentation that is displayed by this drawable.
`void` | `redraw(Region invalidRgn)` QTCanvas calls this method when the client should redraw itself.
`void` | `removedFrom(java.lang.Object interest)` This method is called by the specified object when the instance of the class that implements this interface is removed from the object that is the source of the interest.
`void` | `setClip(Region reg)` Sets a region that will define the clipping region for the object
`void` | `setDisplayBounds(QDRect bounds)` Sets the display bounds for the Presentation
`void` | `setGWorld(QDGraphics gWorld)` QTCanvas calls this method to give the client the QDGraphics object it should use to do its drawing.
`void` | `setLocation(int x, int y)` A convenience method to set the position of a QTDrawable object.
`void` | `setMatrix(Matrix matrix)` This method sets the current matrix of the Transformable object to the new matrix.
`void` | `task()` This method performs idle processing for the Presentation and will be automatically called if this object is added to the TaskThread object.
`java.lang.String` | `toString()` Returns a String representation of this object

Methods inherited from class quicktime.app.time.Tasking
`addedToTasker, getDefaultTasker, getTasker, removedFromTasker, setDefaultTasker, startTasking, stopTasking`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PresentationDrawer

    public PresentationDrawer(Presentation pres)
                       throws QTException

  This constructor creates an PresentationDrawer object from a Presentation component.
  Parameters:
    `pres` - the Presentation object to present

Method Detail

### getPresentation

    public Presentation getPresentation()

  This returns the PresentationDrawer's Presentation that is displayed by this drawable.
  Returns:
    an Presentation

### addedTo

    public void addedTo(java.lang.Object interest)

  This method is called by the specified object when the instance of the class that implements this interface is added to the object that is the source of the interest.
  Specified by:
    `addedTo` in interface `Listener`
  Parameters:
    `interest` - the object that is to be the source of interest for the the object that implements this interface.

### removedFrom

    public void removedFrom(java.lang.Object interest)

  This method is called by the specified object when the instance of the class that implements this interface is removed from the object that is the source of the interest.
  Specified by:
    `removedFrom` in interface `Listener`
  Parameters:
    `interest` - the object that was the source of interest for the the object that implements this interface.

### getGWorld

    public QDGraphics getGWorld()
                         throws QTException

  QTCanvas calls this method to get the destination QDGraphics of its client.
  Specified by:
    `getGWorld` in interface `QTDrawable`
  Returns:
    a QDGraphics object or null

### setGWorld

    public void setGWorld(QDGraphics gWorld)
                   throws QTException

  QTCanvas calls this method to give the client the QDGraphics object it should use to do its drawing. If the incoming QDGraphics is the QDGraphics.scratch then the drawable will not be visible and can disable itself. If a client is unable to set the graphics world it should throw an exception.
  Specified by:
    `setGWorld` in interface `QTDrawable`
  Parameters:
    `cgp` - a QDGraphics object

### getInitialSize

    public java.awt.Dimension getInitialSize()
                                      throws QTException

  Deprecated. since QTJava 4.0

  This method returns the original size before the transformations specified in the returned matrix are applied.
  See Also:
    `()`

### getOriginalSize

    public QDDimension getOriginalSize()
                                throws QTException

  This method returns the original size before the transformations specified in the returned matrix are applied.
  Specified by:
    `getOriginalSize` in interface `Transformable`
  Returns:
    the intial size of the Presentation

### getMatrix

    public Matrix getMatrix()
                     throws QTException

  This will return the client's current display transformations
  Specified by:
    `getMatrix` in interface `Transformable`
  Returns:
    the display transformations of the client

### setMatrix

    public void setMatrix(Matrix matrix)
                   throws QTException

  This method sets the current matrix of the Transformable object to the new matrix.
  Specified by:
    `setMatrix` in interface `Transformable`
  Parameters:
    `matrix` - the new display Matrix

### setDisplayBounds

    public void setDisplayBounds(QDRect bounds)
                          throws QTException

  Sets the display bounds for the Presentation
  Specified by:
    `setDisplayBounds` in interface `Drawable`
  Parameters:
    `bounds` - the new size and location.

### setLocation

    public void setLocation(int x,
                            int y)
                     throws QTException

  A convenience method to set the position of a QTDrawable object.
  Specified by:
    `setLocation` in interface `QTDrawable`
  Parameters:
    `x` - the new x location
    `y` - the new y location

### getDisplayBounds

    public QDRect getDisplayBounds()
                            throws QTException

  Returns the current display location and size of the Presentation.
  Specified by:
    `getDisplayBounds` in interface `Drawable`
  Returns:
    the boundary of the client

### redraw

    public final void redraw(Region invalidRgn)
                      throws QTException

  QTCanvas calls this method when the client should redraw itself. If the canvas is able to discern that only a part of the client's drawing area needs to be redrawn - then this area shall be passed in using the invalidRgn. Otherwise this will be null in which case the client should redraw itself entirely.
  Specified by:
    `redraw` in interface `Drawable`
  Parameters:
    `invalidRgn` - the invalidRgn that the client should redraw

### getClip

    public Region getClip()
                   throws QTException

  Returns a region that defines the current clipping region for the object.
  Specified by:
    `getClip` in interface `QTDrawable`
  Returns:
    the clipping region

### setClip

    public void setClip(Region reg)
                 throws QTException

  Sets a region that will define the clipping region for the object
  Specified by:
    `setClip` in interface `QTDrawable`
  Parameters:
    `reg` - the new clipping region

### task

    public final void task()
                    throws QTException

  This method performs idle processing for the Presentation and will be automatically called if this object is added to the TaskThread object.
  See Also:
    `quicktime.util.TaskThread`

### toString

    public java.lang.String toString()

  Returns a String representation of this object
  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD